org.eclipse.ease.tools

## Class RunnableWithResult<T>

- java.lang.Object
- - org.eclipse.ease.tools.RunnableWithResult<T>

All Implemented Interfaces:
  Runnable

    public abstract class RunnableWithResult<T>
    extends Object
    implements Runnable

### Constructor Summary

Constructors
Constructor and Description
`RunnableWithResult()`

### Method Summary

Methods
`T` `getResult()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Runnable

`run`

### Constructor Detail

#### RunnableWithResult

    public RunnableWithResult()

### Method Detail

#### getResult

    public T getResult()